The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update IP Settings Configuration at Sensor Level

Prev Next

This URL updates IP settings configuration at Sensor level.

Resource URL

PUT /sensor/<sensor_id>/ipsettings

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Sensor id Number Yes

Payload Parameters:

Field Name Description Data Type Mandatory
IPSettings The IP settings on the Sensor Object Yes

Details of fields in IPSettings:

Field Name Description Data Type Mandatory
ipv4Parameter The IPv4 parameter settings for IP settings Object No
ipv6Parameter The IPv6 parameter settings for IP settings Object No
jumboFrameParsing The jumbo frame parsing settings for IP settings. The value can be:
  • ENABLED
  • DISABLED
String No

Details of fields in ipv4Parameter:

Field Name Description Data Type Mandatory
fragmentTimer The fragment timer (seconds) Number No
overlapOption The overlap option. The value can be:
  • OLD_DATA
  • NEW_DATA
String No
smallestFragmentSize The smallest fragment size Number No
smallFragmentThreshold The small fragment threshold Number No
fragmentReassembly The fragment reassembly. The value can be:
  • ENABLED
  • DISABLED
String No

Details of fields in ipv6Parameter:

Field Name Description Data Type Mandatory
ipv6Scanning The IPv6 scanning data. The value can be:
  • SCAN_IPV_6_TRAFFIC_FOR_ATTACKS
  • DROP_ALL_IPV_6_TARFFIC_INLINE_ONLY
  • PASS_IPV_6_TRAFFIC_WITHOUT_SCANNING
String No
overlapOption The overlap option. The value can be:
  • OLD_DATA
  • NEW_DATA
  • DROP
String No
smallestFragmentSize The smallest fragment size Number No
smallFragmentThreshold The small fragment threshold Number No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1002/ipsettings

Payload

{
	"ipv4Parameter": {
		"fragmentTimer": 180,
		"overlapOption": "OLD_DATA",
		"smallestFragmentSize": 1480,
		"smallFragmentThreshold": 100000,
		"fragmentReassembly": "DISABLED"
	},
	"ipv6Parameter": {
		"ipv6Scanning": "SCAN_IPV_6_TRAFFIC_FOR_ATTACKS",
		"overlapOption": "OLD_DATA",
		"smallestFragmentSize": 1280,
		"smallFragmentThreshold": 100000
	},
	"jumboFrameParsing": null
} 

Response

{
"status": 1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 400 5511 Fragment timer should be between 30 and 180
3 400 5512 Smallest fragment size for IPV4 should be between 8 and 1480 and should be a multiple of 8
4 400 5513 Small fragment threshold should be between 100 and 100000
5 400 5514 Smallest fragment size for IPV6 should be between 40 and 1280 and a multiple of 8
6 500 1001 NE disconnected